## cwt

cwt — Continuous Wavelet Transform

## Functions

const GwyEnum * | gwy_cwt_2d_wavelet_type_get_enum ()
gdouble | gwy_cwt_wfunc_2d ()
void | gwy_field_cwt ()

## Types and Values

enum | GwyCWT2DWaveletType

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

## Functions

### gwy_cwt_2d_wavelet_type_get_enum()

    const GwyEnum *
    gwy_cwt_2d_wavelet_type_get_enum (void);

Returns GwyEnum for GwyCWT2DWaveletType enum type.

#### Returns

`NULL`-terminated GwyEnum which must not be modified nor freed.

### gwy_cwt_wfunc_2d()

    gdouble
    gwy_cwt_wfunc_2d (gdouble scale,
                      gdouble mval,
                      gint xres,
                      GwyCWT2DWaveletType wtype);

### gwy_field_cwt()

    void
    gwy_field_cwt (GwyField *field,
                   gdouble scale,
                   GwyCWT2DWaveletType wtype);

Computes a continuous wavelet transform (CWT) at given scale and using given wavelet.

#### Parameters

field | A data field. |
scale | Wavelet scale. |
wtype | Wavelet type. |

## Types and Values

### enum GwyCWT2DWaveletType

#### Members

GWY_CWT_2D_GAUSS |  |
GWY_CWT_2D_HAT |  |